# Merchant

## Get Sales Channels

<mark style="color:blue;">`GET`</mark> `https://open-api.zortout.com/v4/Merchant/GetSalesChannels`

Get list of sales channels.

#### Query Parameters

| Name  | Type | Description                |
| ----- | ---- | -------------------------- |
| page  | Int  | Page (Default = 1)         |
| limit | Int  | Limit per page (Max = 500) |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="Response" %}

| Parameter | Type                 | Description/Example                   |
| --------- | -------------------- | ------------------------------------- |
| res       | Response             | <p>Response Code <br>200- Success</p> |
| list      | Saleschannel (Array) | Sales channel List (Array)            |
| count     | Int                  | Total sales channel number by filter  |

| Saleschannel (Array) | Type   | Description/Example |
| -------------------- | ------ | ------------------- |
| id                   | Int    | Sales channel ID    |
| name                 | String | Sales channel Name  |
| {% endtab %}         |        |                     |
| {% endtabs %}        |        |                     |

## Get Payment Methods

<mark style="color:blue;">`GET`</mark> `https://open-api.zortout.com/v4/Merchant/GetPaymentMethods`

Get list of payment methods/wallets.

#### Query Parameters

| Name  | Type | Description                |
| ----- | ---- | -------------------------- |
| page  | Int  | Page (Default = 1)         |
| limit | Int  | Limit per page (Max = 500) |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="Response" %}

| Parameter | Type                  | Description/Example                   |
| --------- | --------------------- | ------------------------------------- |
| res       | Response              | <p>Response Code <br>200- Success</p> |
| list      | PaymentMethod (Array) | Payment method List (Array)           |
| count     | Int                   | Total payment method number by filter |

| PaymentMethod (Array) | Type   | Description/Example |
| --------------------- | ------ | ------------------- |
| id                    | Int    | Payment method ID   |
| name                  | String | Payment method Name |
| {% endtab %}          |        |                     |
| {% endtabs %}         |        |                     |

## Get Shipping Channels

<mark style="color:blue;">`GET`</mark> `https://open-api.zortout.com/v4/Merchant/GetShippingChannels`

Get list of shipping channels.

#### Query Parameters

| Name  | Type | Description                |
| ----- | ---- | -------------------------- |
| page  | Int  | Page (Default = 1)         |
| limit | Int  | Limit per page (Max = 500) |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="Response" %}

| Parameter | Type                    | Description/Example                     |
| --------- | ----------------------- | --------------------------------------- |
| res       | Response                | <p>Response Code <br>200- Success</p>   |
| list      | Shippingchannel (Array) | Shipping channel List (Array)           |
| count     | Int                     | Total shipping channel number by filter |

| Shippingchannel (Array) | Type   | Description/Example   |
| ----------------------- | ------ | --------------------- |
| id                      | Int    | Shipping channel ID   |
| name                    | String | Shipping channel Name |
| {% endtab %}            |        |                       |
| {% endtabs %}           |        |                       |

## Get Merchant Profile

<mark style="color:blue;">`GET`</mark> `https://open-api.zortout.com/v4/Merchant/GetMerchantProfile`

Get profile of merchant.

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="Response" %}

<table><thead><tr><th width="207.33333333333331">Parameter</th><th>Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>ID</td></tr><tr><td>name</td><td>String</td><td>Name</td></tr><tr><td>phone</td><td>String</td><td>Phone</td></tr><tr><td>email</td><td>String</td><td>Email</td></tr><tr><td>address</td><td>String</td><td>Address</td></tr><tr><td>taxid</td><td>String</td><td>Tax ID</td></tr><tr><td>fax</td><td>String</td><td>Fax</td></tr><tr><td>website</td><td>String</td><td>Website</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.zortout.com/api-reference/merchant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
